import { Test, TestingModule } from '@nestjs/testing';
import { getRepositoryToken } from '@nestjs/typeorm';
import { BlogPostsService } from './blogposts.service';
import { BlogPost } from './blogpost.entity';

const mockBlogPost = new BlogPost();

describe('BlogPostsService', () => {
  let service: BlogPostsService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      providers: [
        BlogPostsService,
        {
          provide: getRepositoryToken(BlogPost),
          useValue: {
            findAll: jest.fn().mockResolvedValue([mockBlogPost]),
            findOne: jest.fn().mockResolvedValue(mockBlogPost),
            create: jest.fn().mockResolvedValue(1),
          },
        },
      ],
    }).compile();

    service = module.get<BlogPostsService>(BlogPostsService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });
});
