import { Test, TestingModule } from '@nestjs/testing';
import { getRepositoryToken } from '@nestjs/typeorm';
import { BlogPostsController } from './blogposts.controller';
import { BlogPostsService } from './blogposts.service';
import { BlogPost } from './blogpost.entity';

const mockBlogPost = new BlogPost();

describe('BlogPostsController', () => {
  let controller: BlogPostsController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [BlogPostsController],
      providers: [
        BlogPostsService,
        {
          provide: getRepositoryToken(BlogPost),
          useValue: {
            findAll: jest.fn().mockResolvedValue([mockBlogPost]),
            findOne: jest.fn().mockResolvedValue(mockBlogPost),
            create: jest.fn().mockResolvedValue(1),
          },
        },
      ]
    }).compile();

    controller = module.get<BlogPostsController>(BlogPostsController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
