import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { BlogPost } from './blogpost.entity';
import { BlogPostsService } from './blogposts.service';
import { BlogPostsController } from './blogposts.controller';

@Module({
  imports: [TypeOrmModule.forFeature([BlogPost])],
  controllers: [BlogPostsController],
  providers: [BlogPostsService],
  exports: [TypeOrmModule]
})
export class BlogPostsModule {}
